[
    {
      "to": "/SyncItemMaster",
      "namespace": "xmlns=\"http://www.openapplications.org/oagis/9\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" languageCode=\"en-US\" versionID=\"release\" releaseID=\"release\" systemEnvironmentCode=\"Production\" xsi:schemaLocation=\"http://www.openapplications.org/oagis/9 http://distribution.logiasoftware.fi/public/oagis/schema/9_5_1/BODs/SyncItemMaster/SyncItemMaster.xsd\""
    },
    {
      "from": "pr_supplier_id",
      "to": "ApplicationArea/Sender/LogicalID",
      "description": "￼Sender identification",
      "mandatory": true
    },
    {
      "from": "pr_customer_id",
      "to": "ApplicationArea/Receiver/LogicalID",
      "description": "￼Receiver identification (use value ”logius”)",
      "mandatory": true
    },
    {
      "from": "pr_change_date",
      "to": "ApplicationArea/CreationDateTime",
      "description": "￼Message creation date & time (e.g. 2002-05-30T09:00:00)",
      "mandatory": true,
      "not_in_use": false
    },
    {
      "from": "pr_type_",
      "to": "DataArea/Sync/ActionCriteria/ActionExpression[@actionCode=\"documentType\"]",
      "description": "Message type (”inboundMaterialMaster”)",
      "mandatory": true,
      "not_in_use": false
    },
    {
        "from": "XX",
        "to": "DataArea/Sync/ActionCriteria/ChangeStatus/Reason",
        "not_in_use": false
    },
    {
        "from": "pr",
        "to": "/SyncItemMaster/DataArea/ItemMaster",
        "mandatory": true,
        "not_in_use": false,
        "array": [
    {
          "from": "pr_product_code",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"primary\"]/ID",
          "description": "Product code",
          "mandatory": true,
          "not_in_use": false
      },
      {
          "from": "XX",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"secondary\"]/ID",
          "not_in_use": false
      },
      {
          "from": "pr_supplier_material_code",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"supplier\"]/ID"
      },
      {
          "from": "XX",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"supplier\"]/VariationID"
      },
      {
          "from": "pr_tariff_heading",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"customs\"]/ID"
      },
      {
          "from": "pr_parcel_code",
          "to": "ItemMasterHeader/ItemID[agencyRole=\"container\"]/ID"
      },
      {
          "from": "pr_name",
          "to": "ItemMasterHeader/Description[type=\"itemName\" @languageID=\"fi-fi\"]",
          "description": "Item name (languageID tells language of name)",
          "mandatory": true,
          "not_in_use": false
      },
      {
          "from": "pr_product_id",
          "to": "ItemMasterHeader/Description[type=\"itemName2\"]",
          "not_in_use": false
      },
      {
          "from": "pr_explanation",
          "to": "ItemMasterHeader/Note[@type=\"warranty\"]",
          "not_in_use": false
      },
      {
          "from": "pr_info",
          "to": "ItemMasterHeader/Note[@type=\"deliveryList\"]",
          "not_in_use": false
      },
      {
          "from": "pr_info",
          "to": "ItemMasterHeader/Note[@type=\"pickList\"]",
          "not_in_use": false
      },
      {
          "from": "pr_info",
          "to": "ItemMasterHeader/Note[@type=\"arrivalList\"]",
          "not_in_use": false
      },
      {
          "from": "pr_product_group",
          "to": "ItemMasterHeader/Classification[@type=\"warehouseProductGroup\"]/Codes/Code[@sequence=\"1\"]",
          "not_in_use": false
      },
      {
          "from": "pr_subgroup",
          "to": "ItemMasterHeader/Classification[@type=\"productGroup\"]/Codes/Code[@sequence=\"5\"]",
          "not_in_use": false
      },
      {
          "from": "pr_work_load_group",
          "to": "ItemMasterHeader/Classification[@type=\"productGroup\"]/Description",
          "not_in_use": false
      },
      {
          "from": "pr_material_class",
          "to": "ItemMasterHeader/Classification[@type=\"fashionGroup\"]/Codes/Code[@sequence=\"1\"]",
          "not_in_use": false
      },
      {
          "from": "pr_work__position_num_id",
          "to": "ItemMasterHeader/Classification[@type=\"productLine\"]/Description",
          "not_in_use": false
      },
      {
          "from": "pr_quality",
          "to": "ItemMasterHeader/Classification[@type=\"qualityControl\"]/Codes/Code",
          "not_in_use": false
      },
      {
          "from": "pr_origin",
          "to": "ItemMasterHeader/Classification[@type=\"countryOfOrigin\"]/Codes/Code",
          "not_in_use": false
      },
      {
          "from": "pr_coming_amount",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"supplyQuantity\" @unitCode=\"PCE\"]",
          "not_in_use": false
      },
      {
          "from": "pr_minimum_stock",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"minStockLevel\" @unitCode=\"PCE\"]",
          "not_in_use": false
      },
      {
          "from": "pr_need_calculation_in_use",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"cableIndicator\"]",
          "not_in_use": false
      },
      {
          "from": "pr_stock_parcel_in_use",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"warrantyIndicator\"]",
          "not_in_use": false
      },
      {
          "from": "XX",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"VATPercentage\"]",
          "not_in_use": false
      },
      {
          "from": "pr_storable",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"cumbersomeIndicator\"]",
          "not_in_use": false
      },
      {
          "from": "pr_action_limit__unit",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"serialNumberFormat\"]",
          "not_in_use": false
      }
    ]
  }
]
